XARGS(1)

NAME
xargs - construct argument list(s) and execute utility.

SYNOPSIS
xargs [-ft0] [[-x] -n number] [-s size] [utility [argument ...]]

DESCRIPTION
The xargs utility reads space, tab, newline and end-of-file delimited arguments from the standard input and executes the specified utility with them as arguments.

The utility and any arguments specified on the command line are given to the utility upon each invocation, followed by some number of the arguments read from standard input. The utility is repeatedly executed until standard input is exhausted.

Spaces, tabs and newlines may be embedded in arguments using single (`` ' '') or double (``"'') quotes or backslashes (``\''). Single quotes escape all non-single quote characters, excluding newlines, up to the matching single quote. Double quotes escape all non-double quote characters, excluding newlines, up to the matching double quote. Any single character, including newlines, may be escaped by a backslash.

The options are as follows:

-f  Force xargs to ignore the exit status returned by utility. By default, xargs will exit immediately if utility exits with a non-zero exit status. This does not include ignoring utility exiting due to a signal or without calling exit(2).

-n number
    Set the maximum number of arguments taken from standard input for each invocation of the utility. An invocation of utility will use less than number standard input arguments if the number of bytes accumulated (see the -s option) exceeds the specified size or there are fewer than number arguments remaining for the last invocation of utility. The current default value for number is 5000.

-s size
    Set the maximum number of bytes for the command line length provided to utility. The sum of the length of the utility name and the arguments passed to utility (including NULL terminators) will be less than or equal to this number. The current default value for size is ARG_MAX - 2048.

-t  Echo the command to be executed to standard error immediately before it is executed.

-x  Force xargs to terminate immediately if a command line containing number arguments will not fit in the specified (or default) command line length.

-0  Read null-byte terminated pathnames from standard input as may have been produced by the -print0 option of find(1). This is a MINIX 3 specific extension to xargs.

If no utility is specified, echo(1) is used.

Undefined behavior may occur if utility reads from the standard input.

Xargs exits with an exit status of 0 if no error occurs. If utility cannot be invoked, is terminated by a signal or terminates without calling exit(2), xargs exits with an exit status of 127. If utility exits with an exit status other than 0, xargs exits with that exit status. Otherwise, xargs exits with an exit status of 1.

SEE ALSO
echo(1), find(1).

STANDARDS
The xargs utility is expected to be POSIX 1003.2 compliant.